Bug 41917 - [IVB] all three screens are frozen while starting gnome-session with 3-pipe active
Summary: [IVB] all three screens are frozen while starting gnome-session with 3-pipe a...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: high major
Assignee: Jesse Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
: 43011 (view as bug list)
Depends on:
Blocks: 42991 44622
  Show dependency treegraph
 
Reported: 2011-10-18 01:23 UTC by Guang Yang
Modified: 2017-10-06 14:51 UTC (History)
7 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg.txt is the bug's dmesg information (122.43 KB, text/plain)
2011-10-18 01:44 UTC, Guang Yang
no flags Details
xserver-initial-config-match-refresh (1.35 KB, application/octet-stream)
2011-11-18 06:25 UTC, Yi Sun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guang Yang 2011-10-18 01:23:55 UTC
System Environment:
--------------------------
Platform:        IvyBridge
Kernel: (ivb-3-pipe)344f5205ecf58b0c56f7d6439621fa5467e9881e

Bug detailed description:
-------------------------
when we start the gnome-session with 3 displays active, all screen are frozen,only wallpaper and cursor.system is alive.
Comment 1 Guang Yang 2011-10-18 01:44:03 UTC
Created attachment 52456 [details]
dmesg.txt is the bug's dmesg information
Comment 2 Eugeni Dodonov 2011-10-19 13:28:07 UTC
I can reproduce it with xfce as well, and probably other DEs.

The workaround for me is to go to console (ctrl-alt-f1), and then back to X (ctrl-alt-f7). The login proceeds, but sometimes the WM does not starts.
Comment 3 Paulo Zanoni 2011-11-04 13:42:20 UTC
(In reply to comment #2)
> I can reproduce it with xfce as well, and probably other DEs.
> 
> The workaround for me is to go to console (ctrl-alt-f1), and then back to X
> (ctrl-alt-f7). The login proceeds, but sometimes the WM does not starts.

Then please do this: get into the "bad" state, use intel_reg_dumper. Then go to console and back, and if everything is working, get another intel_reg_dumper. We might want to compare both states...
Comment 4 Eugeni Dodonov 2011-11-04 14:11:24 UTC
Khm.. what you define by 'bad' state here, the state of intel_reg_dumper at while the computer is running 'gdm'?

During the login, as soon as we switch to console, it changes the registers, and login proceeds. So there is no diff.

But I think you have a point, I'll write a custom session starting script and run it instead of gnome login to see if there are any changes.
Comment 5 Jesse Barnes 2011-11-15 10:34:42 UTC
Works for me with my ivb-3-pipe branch...  lemme try with 3D.
Comment 6 Jesse Barnes 2011-11-15 10:43:05 UTC
Part of the problem might be the server's default config chooser.  I posted a fix to xorg-devel for it (http://lists.freedesktop.org/archives/xorg-devel/2011-October/026280.html), but in the meantime you may need to force gdm to choose a 3 pipe compatible config, e.g.:

Section "Device"
  Identifier "IVB"
  Driver "intel"
  Option "monitor-HDMI1" "hdmi1"
  Option "monitor-HDMI2" "hdmi2"
  Option "monitor-VGA1" "vga"
EndSection

Section "Monitor"
  Identifier "hdmi1"
  Option "PreferredMode" "1280x1024"
  Option "RightOf" "vga"
EndSection

Section "Monitor"
  Identifier "hdmi2"
  Option "PreferredMode" "1280x1024"
  Option "RightOf" "hdmi1"
EndSection

Section "Monitor"
  Identifier "vga"
  Option "PreferredMode" "1920x1200"
EndSection

Section "Screen"
  Identifier "Default Screen"
  Device "IVB display config"
  Monitor "vga"
  DefaultDepth 24
  SubSection "Display"
    Depth 24
    Modes "1920x1200" "1280x1024"
  EndSubSection
EndSection
Comment 7 Yi Sun 2011-11-18 06:24:08 UTC
(In reply to comment #6)
> Part of the problem might be the server's default config chooser.  I posted a
> fix to xorg-devel for it
> (http://lists.freedesktop.org/archives/xorg-devel/2011-October/026280.html),
> but in the meantime you may need to force gdm to choose a 3 pipe compatible
> config, e.g.:
> 
> Section "Device"
>   Identifier "IVB"
>   Driver "intel"
>   Option "monitor-HDMI1" "hdmi1"
>   Option "monitor-HDMI2" "hdmi2"
>   Option "monitor-VGA1" "vga"
> EndSection
> 
> Section "Monitor"
>   Identifier "hdmi1"
>   Option "PreferredMode" "1280x1024"
>   Option "RightOf" "vga"
> EndSection
> 
> Section "Monitor"
>   Identifier "hdmi2"
>   Option "PreferredMode" "1280x1024"
>   Option "RightOf" "hdmi1"
> EndSection
> 
> Section "Monitor"
>   Identifier "vga"
>   Option "PreferredMode" "1920x1200"
> EndSection
> 
> Section "Screen"
>   Identifier "Default Screen"
>   Device "IVB display config"
>   Monitor "vga"
>   DefaultDepth 24
>   SubSection "Display"
>     Depth 24
>     Modes "1920x1200" "1280x1024"
>   EndSubSection
> EndSection

Hi Jesse, with your two patches(one is mentioned above and the other is attached) and the xorg config, the 3 monitors works well while running X.
Comment 8 Yi Sun 2011-11-18 06:25:49 UTC
Created attachment 53657 [details]
xserver-initial-config-match-refresh
Comment 9 Jesse Barnes 2011-11-18 09:33:17 UTC
*** Bug 43011 has been marked as a duplicate of this bug. ***
Comment 10 Jesse Barnes 2012-01-11 10:53:53 UTC
X server fix is upstream now, closing.
Comment 11 Guang Yang 2012-01-11 19:32:09 UTC
(In reply to comment #10)
> X server fix is upstream now, closing.
OK,it can work well.
Comment 12 Gordon Jin 2012-01-12 21:58:13 UTC
Jesse, 

Is the fix on kernel side made into 3.2 kernel?

Is the xserver fix on master, or already in any release?
Comment 13 Jesse Barnes 2012-01-13 08:49:21 UTC
I think this is a combination of the core and i915 kernel fixes, but maybe the X fix too...
Comment 14 Gordon Jin 2012-01-16 00:35:07 UTC
I want to know if the kernel fixes are in 3.2, so we could remove one dependency (current this bug is marked as blocking two kernel releases)
Comment 15 Elizabeth 2017-10-06 14:51:50 UTC
Closing old verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.